#!/bin/bash

port=$1

fbset -g 1920 1080 1920 1080 32
echo 0 > /sys/class/graphics/fbcon/cursor_blink

export SDL_AUDIODRIVER="alsa"
export AUDIODEV="hdmi:CARD=PCH,DEV=0"
ffplay \
    -v verbose \
    -fflags nobuffer \
    -flags low_delay \
    -probesize 32 \
    -analyzeduration 50 \
    -framedrop \
    -f matroska \
    -i tcp://localhost:${port} \
    -vf "setpts=0"
